Bug 525887 - Unable to edit external tools via the UI
Unable to edit external tools via the UI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-26 13:38 EDT by Peter Janakiev
Modified: 2009-11-20 00:31 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.26.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 00:31:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to tools.ui to fix external tools plugin (1.36 KB, patch)
2009-10-29 11:14 EDT, Bart Dorsey
no flags Details | Diff

  None (edit)
Description Peter Janakiev 2009-09-26 13:38:49 EDT
Description of problem:
When attempting to edit the external tools list nothing happens


Version-Release number of selected component (if applicable):
gedit-plugins-2.26.1-1.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. Start gedit and make sure the external tools plugin is enabled 
2. from the menu select Tools > External tools 
3.
  
Actual results:
Nothing happens

Expected results:
External tools editor to show up

Additional info:
Output from the console:

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/externaltools/__init__.py", line 129, in <lambda>
    lambda action: plugin.open_dialog())])
  File "/usr/lib/gedit-2/plugins/externaltools/__init__.py", line 200, in open_dialog
    m.run()
  File "/usr/lib/gedit-2/plugins/externaltools/manager.py", line 80, in run
    self.build()
  File "/usr/lib/gedit-2/plugins/externaltools/manager.py", line 65, in build
    self.ui.add_from_file(os.path.join(self.datadir, 'ui', 'tools.ui'))
glib.GError: Duplicate object id 'input_renderer' on line 334 (previously on line 314)
Comment 1 Rakesh Pandit 2009-10-10 05:03:48 EDT
External tools plugin comes in gedit itself. I am changing component to gedit. In case it is really my package problem please revert back.
Comment 2 Rakesh Pandit 2009-10-10 05:23:22 EDT
I guess fix would need renaming tools.ui id's to something appropriate and then corresponding changes in plugin code base.
Comment 3 Bart Dorsey 2009-10-29 11:12:14 EDT
I found a patch to this on gentoo's bug reporting site.

http://bugs.gentoo.org/show_bug.cgi?id=288260
Comment 4 Bart Dorsey 2009-10-29 11:14:11 EDT
Created attachment 366639 [details]
Patch to tools.ui to fix external tools plugin

This is the patch from gentoo's bug tracker.
Comment 5 Rakesh Pandit 2009-11-09 03:44:02 EST
@Ray

Hello, I have asked for permission for co-maintainer .. I will test it and push update in case it is okay.

Requested: https://admin.fedoraproject.org/pkgdb/packages/name/gedit

Thanks,
Comment 6 Ray Strode [halfline] 2009-11-09 09:59:38 EST
Okay, go ahead, thanks.
Comment 7 Fedora Update System 2009-11-09 14:47:28 EST
gedit-2.26.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gedit-2.26.3-2.fc11
Comment 8 Fedora Update System 2009-11-11 10:03:54 EST
gedit-2.26.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gedit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11370
Comment 9 Fedora Update System 2009-11-20 00:31:15 EST
gedit-2.26.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.